document.addEventListener('DOMContentLoaded', function() {
    const buttons = document.querySelectorAll('.rezerujestolik-button');


    const modal = document.getElementById('rezerwujestolik-modal');
    const body = document.body;


    buttons.forEach((btn)=>{
        btn.addEventListener('click', function() {
            modal.style.display = 'grid';
            body.style.overflow = 'hidden'; // Zablokuj przewijanie strony
        });
    })

    // Zamyka modal po kliknięciu na ikonę zamknięcia
    modal.querySelector('#rezerwujestolik-close-button').addEventListener('click', function() {
        modal.style.display = 'none';
        body.style.overflow = 'auto'; // Przywróć przewijanie strony
    });

    // Zamyka modal po kliknięciu poza nim
    window.addEventListener('click', function(event) {
        if (event.target == modal) {
            modal.style.display = 'none';
            body.style.overflow = 'auto'; // Przywróć przewijanie strony
        }
    });
});
